<template>
  <div class="container">
    <h1>Crear consenso</h1>
    <custom-form
      :fields="fields"
      :handleSubmit="handleSubmit"
      :parseError="parseError"
    />
  </div>
</template>

<script>
import CustomForm from '@/components/Form'

export default {
  name: 'CrearConsensoView',
  data() {
    return {
      fields: [
        {
          name: 'titulo',
          placeholder: 'Titulo de la propuesta',
          required: true,
          type: 'text',
        },
        {
          name: 'texto',
          placeholder: 'Descripción',
          required: true,
          type: 'textarea',
        },
        { type: 'submit', content: 'Crear propuesta' },
      ],
    }
  },
  components: {
    CustomForm,
  },
  computed: {
    barcaId() {
      return parseInt(this.$route.params.id)
    },
  },
  methods: {
    handleSubmit(consenso) {
      return this.$store
        .dispatch('crearConsenso', { consenso, barcaId: this.barcaId })
        .then(consenso =>
          this.$router.push(`/barcas/${this.barcaId}/consensos/${consenso.id}`),
        )
    },
    parseError: error => error, // probablemente no pase ningun error generico
  },
}
</script>
